### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class PhysicalTableAttributes

java.lang.Object
com.sas.services.information.metadata.PhysicalTableAttributes

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class PhysicalTableAttributes extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhysicalTableAttributes(boolean isCompressed, boolean isEncrypted, boolean isDBMSView, String dbmsType, String sasTableName, String memberType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getDbmsType()`
  `final String`
  `getMemberType()`
  `final String`
  `getSasTableName()`
  `final boolean`
  `isCompressed()`
  `final boolean`
  `isDBMSView()`
  `final boolean`
  `isEncrypted()`
  `final void`
  `setCompressed(boolean isCompressed)`
  `final void`
  `setDbmsType(String dbmsType)`
  `final void`
  `setDBMSView(boolean isDMBSView)`
  `final void`
  `setEncrypted(boolean isEncrypted)`
  `final void`
  `setMemberType(String memberType)`
  `final void`
  `setSasTableName(String sasTableName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhysicalTableAttributes

    public PhysicalTableAttributes(boolean isCompressed, boolean isEncrypted, boolean isDBMSView, String dbmsType, String sasTableName, String memberType)

- ## Method Details

  - ### getDbmsType

    public final String getDbmsType()
    Returns:
      Returns the dbmsType.

  - ### setDbmsType

    public final void setDbmsType(String dbmsType)
    Parameters:
      `dbmsType` - The dbmsType to set.

  - ### isCompressed

    public final boolean isCompressed()
    Returns:
      Returns the isCompressed.

  - ### setCompressed

    public final void setCompressed(boolean isCompressed)
    Parameters:
      `isCompressed` - The isCompressed to set.

  - ### isDBMSView

    public final boolean isDBMSView()
    Returns:
      Returns the isDMBSView.

  - ### setDBMSView

    public final void setDBMSView(boolean isDMBSView)
    Parameters:
      `isDMBSView` - The isDMBSView to set.

  - ### isEncrypted

    public final boolean isEncrypted()
    Returns:
      Returns the isEncrypted.

  - ### setEncrypted

    public final void setEncrypted(boolean isEncrypted)
    Parameters:
      `isEncrypted` - The isEncrypted to set.

  - ### getMemberType

    public final String getMemberType()
    Returns:
      Returns the memberType.

  - ### setMemberType

    public final void setMemberType(String memberType)
    Parameters:
      `memberType` - The memberType to set.

  - ### getSasTableName

    public final String getSasTableName()
    Returns:
      Returns the sasTableName.

  - ### setSasTableName

    public final void setSasTableName(String sasTableName)
    Parameters:
      `sasTableName` - The sasTableName to set.